Subject: Re: [RFC PATCH 08/11] IB/Verbs: Use management helper has_iwarp() for, iwarp-check

From: Tom Talpey <[email-masked]>
Date: Tue, 31 Mar 2015 07:19:47 -0400

On 3/31/2015 3:39 AM, Michael Wang wrote:
> On 03/31/2015 12:35 AM, Jason Gunthorpe wrote:
>> On Mon, Mar 30, 2015 at 05:10:12PM +0200, Michael Wang wrote:
>>> I found that actually we don't have to touch this one which
>>> only used by HW driver currently.
>> I'm having a hard time understanding this, the code in question was in
>>
>> net/sunrpc/xprtrdma/svc_rdma_recvfrom.c
>>
>> Which is the NFS ULP, not a device driver.
>
> I'm not familiar with this part too :-P but yes, it looks like an ulp
> to support NFS.

It's the NFS server itself.

>
> Actually I'm thinking about Doug's idea to use rdma_transport_is_XX()
> instead of the current basic helper, thus may be use rdma_transport_is_iwarp()
> in here could be better, since it's actually a feature of iwarp tech
> that RDMA Read only support one scatter-gather entry.

No, you should expose an attribute to surface the maximum length of
the remote gather list, which varies by adapter as well as protocol.
The fact that iWARP is different from IB is not relevant, and conflates
unrelated properties.
--
To unsubscribe from this list: send the line "unsubscribe linux-rdma" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html